<div class="material-bolder py-3 m-3" style="background-color: #c6efff;">
  <h3 class="px-3" style="text-align: center;">This is a simple quote viewer by getting data from vendors</h3>
</div>
<div>
  <div class="dropdown input-group" appDropdown>
    <div class="input-group">
        <span class="lookup-label px-3">Qute Lookup : </span>
        <input type="text" class="form-control dropdown-toggle" placeholder="Search" [value]="selectedQuote.symbol"
        [(ngModel)]="inputCompany" (ngModelChange)="companyChange()" style="max-width:400px"/>
      <div class="dropdown-menu menu-style" >
        <div *ngFor="let company of displayedCompanies" class="dropdown-item" (click)="selectCompany(company)">
          <h2>{{company.symbol}}</h2>
          <small class="px-2">{{company.name}}</small>
          <br />
          <small class="px-2">{{company.exchange}}</small>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-5 material-bold m-2 quote-box">
      <span>Name : </span>
      <b> {{selectedQuote.name}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>Symbol : </span>
      <b> {{selectedQuote.symbol}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>LastPrice : </span>
      <b> {{selectedQuote.lastPrice}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>Change : </span>
      <b> {{selectedQuote.change}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>ChangePercent : </span>
      <b> {{selectedQuote.changePercent}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>Timestamp : </span>
      <b> {{selectedQuote.timestamp}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>MSDate : </span>
      <b> {{selectedQuote.msDate}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>MarketCap : </span>
      <b> {{selectedQuote.marketCap}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>Volume : </span>
      <b> {{selectedQuote.volume}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>ChangeYTD : </span>
      <b> {{selectedQuote.changeYTD}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>ChangePercentYTD : </span>
      <b> {{selectedQuote.changePercentYTD}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>High : </span>
      <b> {{selectedQuote.high}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>Low : </span>
      <b> {{selectedQuote.low}}</b>
    </div>
    <div class="col-5 material-bold m-2 quote-box">
      <span>Open : </span>
      <b> {{selectedQuote.open}}</b>
    </div>
  </div>
</div>
